package com.gic.finance.dao.mapper;

import com.gic.finance.entity.TabPayAccount;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabPayAccountMapper {
    /**
     * 根据主键删除
     *
     * @param payAccountId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer payAccountId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabPayAccount record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabPayAccount record);

    /**
     * 根据主键查询
     *
     * @param payAccountId 主键
     * @return 实体对象
     */
    TabPayAccount selectByPrimaryKey(Integer payAccountId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabPayAccount record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabPayAccount record);

    /**
     * 查询列表数据
     * @Title: listPayAccount 
     * @Description:
      * @author guojuxing  
     * @return  java.util.List<com.gic.finance.entity.TabPayAccount> 
      */
    List<TabPayAccount> listPayAccount();

    /**
     * 查询排序值最大的，即排在最末
     * @Title: getMaxSort 
     * @Description:
      * @author guojuxing  
     * @return  int 
      */
    int getMaxSort();

    int getMinSort();

    /**
     * 查询排序值前面的记录
     * @Title: getPreOfSort 
     * @Description:
      * @author guojuxing
     * @param sort 
     * @return  com.gic.finance.entity.TabPayAccount 
      */
    TabPayAccount getPreOfSort(@Param("sort") Integer sort);

    /**
     * 查询排序值后面的记录
     * @Title: getNextOfSort 
     * @Description:
      * @author guojuxing
     * @param sort 
     * @return  com.gic.finance.entity.TabPayAccount 
      */
    TabPayAccount getNextOfSort(@Param("sort")Integer sort);
}